Limerence
Dashboard shares

Create Dashboard Share

Create a share link for an owner-private dashboard (authenticated).

POST
/dashboards/{id}/shares

Create a share link for an owner-private dashboard (authenticated).

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/dashboards/string/shares" \  -H "Content-Type: application/json" \  -d '{    "visibility": "public"  }'
{
  "createdAt": "string",
  "dashboardId": "string",
  "id": "string",
  "token": "string",
  "updatedAt": "string",
  "visibility": "string"
}
{
  "cause": {
    "code": "api/invalid-json",
    "detail": "string"
  },
  "message": "The request body is not valid JSON"
}
{
  "cause": {
    "code": "auth/jwt-invalid",
    "detail": "malformed"
  },
  "message": "Token verification failed"
}
{
  "cause": {
    "code": "api/no-active-team",
    "detail": "You must have an active team. Please select a team to continue."
  },
  "message": "No active team"
}
{
  "cause": {
    "code": "api/unsupported-media-type",
    "detail": "GET requests cannot have a content type header"
  },
  "message": "Unsupported Media Type"
}